package com.chenyang.nse.bussiness.entity.vo.desensitization;

import com.chenyang.nse.bussiness.entity.orm.table.core.encryption.TCoreDesensitizationStrategyLog;
import java.util.List;
import java.util.Map;
import java.util.Set;

public class DesensitizationStrategyLogVO extends TCoreDesensitizationStrategyLog {
   private int rows;
   private int page;
   private String range;
   private Set<String> head;
   private List<Map<String, Object>> data;

   public int getRows() {
      return this.rows;
   }

   public void setRows(int rows) {
      this.rows = rows;
   }

   public int getPage() {
      return this.page;
   }

   public void setPage(int page) {
      this.page = page;
   }

   public Set<String> getHead() {
      return this.head;
   }

   public void setHead(Set<String> head) {
      this.head = head;
   }

   public List<Map<String, Object>> getData() {
      return this.data;
   }

   public void setData(List<Map<String, Object>> data) {
      this.data = data;
   }

   public String getRange() {
      return this.range;
   }

   public void setRange(String range) {
      this.range = range;
   }
}
